<!DOCTYPE html>
<html>
<head>
    <title>Примеры. Координаты щелчка</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <script src="https://api-maps.yandex.ru/2.1/?lang=ru_RU" type="text/javascript"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <!--<script src="event_properties.js" type="text/javascript"></script>-->
    <style>
        html, body, #map {
            width: 100%; height: 100%; padding: 0; margin: 0;
        }
    </style>
</head>
<body>
<div id="map"></div>


<script>
    ymaps.ready(init);
    var myMap;

    function init () {
        myMap = new ymaps.Map("map", {
            center: [40.692492, -73.955589], // Углич
            zoom: 11
        }, {
            balloonMaxWidth: 200,
            searchControlProvider: 'yandex#search'
        });

        // Обработка события, возникающего при щелчке
        // левой кнопкой мыши в любой точке карты.
        // При возникновении такого события откроем балун.
        myMap.events.add('click', function (e) {
            if (!myMap.balloon.isOpen()) {
                var coords = e.get('coords');


                $.get(
                    "/api/getwords",
                    {lat : coords[0], lon : coords[1]},
                    function(data) {
                        // alert('page content: ' + data);

                        myMap.balloon.open(coords, {
                            contentHeader:'Что больше всего твитят здесь:',
                            contentBody:'<p>' + data.data.join('<br/>') + '</p>',
                            contentFooter:'<sup>Щелкните еще раз</sup>'
                        });
                    // <a href="ya.ru" target="_blank">линк</a>

                    }
                );



            }
            else {
                myMap.balloon.close();
            }
        });

        // Обработка события, возникающего при щелчке
        // правой кнопки мыши в любой точке карты.
        // При возникновении такого события покажем всплывающую подсказку
        // в точке щелчка.
        myMap.events.add('contextmenu', function (e) {
            myMap.hint.open(e.get('coords'), 'Кто-то щелкнул правой кнопкой');
        });

        // Скрываем хинт при открытии балуна.
        myMap.events.add('balloonopen', function (e) {
            myMap.hint.close();
        });
    }
</script>
</body>
</html>